#include "descriptor/descriptor.h"

int main(void)
{
	ITEM scena, lumiere, pareti, tavolo, scaffale1, scaffale2, pianta1, pianta2, specchio, candelabro1, candelabro2, vassoio, tazzina1, tazzina2, brocca;
	
	// PARETI
	ITEM pavimento, pareteSx, pareteDx, pareteFronte, soffitto, pareteRetro;
	
	// LUMIERE
	ITEM base, braccioDx, braccioSx, busto, candelaDx, candelaSx, candelaTesta, cintura, collo, fiammaDx, fiammaSx, fiammaTesta, foglia1Dx, foglia1Sx, foglia2Dx,
	foglia2Sx, foglia3Dx, foglia3Sx, foglia4Dx, foglia4Sx, fogliaBase1, fogliaBase2, fogliaBase3, fogliaBase4, goccia, manoDx, manoSx, mascella, naso, occhioDx, 
	occhioSx, pancia, polsoDx, polsoSx, pupillaDx, pupillaSx, sopraBase, sopracciglioDx, sopracciglioSx, sottoBase, sottoCandelaDx, sottoCandelaSx, sottoCandelaTesta,
	sottoPancia, spallaDx, spallaSx, stoppinoDx, stoppinoSx, stoppinoTesta;	

	// TAVOLO
	ITEM graffacorta2tappo4, piano, graffalunga1tappo1, graffalunga1tappo3, graffalunga1tappo2, graffacorta1tappo4, graffacorta2tappo2, graffalunga2tappo4, graffacorta2tappo1, gamba3, graffalunga1tappo4, cubo2, graffalunga2tappo2, graffalunga2tappo3, graffacorta2tappo3, gamba4, gamba1, graffacorta2, graffacorta1, graffacorta1tappo1, graffacorta1tappo3, graffacorta1tappo2, cubo1, cubo3, gamba2, graffalunga2, cubo4, graffalunga1, graffalunga2tappo1;

	// SCAFFALI
	ITEM scaffaleRotondo, scaffaleLato2, scaffaleLato1;
	ITEM scaffaleRotondoBis, scaffaleLato2Bis, scaffaleLato1Bis;

	// PIANTE
	ITEM vaso_f5, vaso_bastone, vaso_f2, vaso_f18, vaso_f9, vaso_f8, vaso_f7, vaso_f11, vaso_f12, vaso_f17, vaso_f16, vaso_vaso, vaso_f3, vaso_f14, vaso_terra, vaso_f4, vaso_f1, vaso_f15, vaso_f6, vaso_f13, vaso_f10;
	ITEM vaso_f5Bis, vaso_bastoneBis, vaso_f2Bis, vaso_f18Bis, vaso_f9Bis, vaso_f8Bis, vaso_f7Bis, vaso_f11Bis, vaso_f12Bis, vaso_f17Bis, vaso_f16Bis, vaso_vasoBis, vaso_f3Bis, vaso_f14Bis, vaso_terraBis, vaso_f4Bis, vaso_f1Bis, vaso_f15Bis, vaso_f6Bis, vaso_f13Bis, vaso_f10Bis;

	// SPECCHIO
	ITEM cornice, vetro;

	// CANDELABRI
	ITEM stoppino5, fiamma1, stoppino4, polso4, candela1, sopramano1, candelabro, polso3, sottocandela2, polso2, fiamma4, candela5, mano3, stoppino3, fiamma5, mano5, fiamma2, candela3, sottocandela3, mano4, stoppino1, fiamma3, sottocandela4, braccio1, sottocandela5, polso1, candela4, mano2, candela2, mano1, braccio2, stoppino2, braccio3, braccio4;
	ITEM stoppino5Bis, fiamma1Bis, stoppino4Bis, polso4Bis, candela1Bis, sopramano1Bis, candelabroBis, polso3Bis, sottocandela2Bis, polso2Bis, fiamma4Bis, candela5Bis, mano3Bis, stoppino3Bis, fiamma5Bis, mano5Bis, fiamma2Bis, candela3Bis, sottocandela3Bis, mano4Bis, stoppino1Bis, fiamma3Bis, sottocandela4Bis, braccio1Bis, sottocandela5Bis, polso1Bis, braccio4Bis, candela4Bis, mano2Bis, candela2Bis, mano1Bis, braccio2Bis, stoppino2Bis, braccio3Bis;

	// VASSOIO
	ITEM sur_vassoio_1, sur_vassoio_2, sur_vassoio_3, sur_vassoio_4;

	// TAZZINE e BROCCA
	ITEM manicotazza1, manicotazza2, piattino, tazza;
	ITEM manicotazza1Bis, manicotazza2Bis, piattinoBis, tazzaBis;
	ITEM brocca2, manico;

	// ATTRIBUTI COLORE
	ITEM oro, neroOcchi, neroSopracciglia, bianco, marrone, cera, specchioAttr, argento;
	ITEM legnoTavolo, pavimentoAttr, muriAttr, colorFoglia, terra, terracotta, fiamma, tazzinaAttr, broccaAttr;

	// LUCI LUMIERE
	ITEM luceSx, luceDx, luceTesta;

	/****************/
	/* SCENA E LUCI */
	/****************/

	// Impostazioni scena e luci
	set_background(0,0,0,TRUE);
	set_ambient_light(1,1,1,0.8);
	create_distant_light(0.0,2,-0.5, 1,1,1,0.5, "luceDistante");

	// LUCI CANDELE:
	double x, y, z;					// coordinate di posizionamento luci
	double raggio, intensita, 			// attributi delle luci dei candelabri
		intensitaL, raggioL;			// attributi delle luci di Lumiere

	raggioL = 50;
	raggio = 40;
	intensitaL = 3.0;
	intensita = 1.0;

	// LUMIERE

	float tirafuoriL = 1.33;	// di quanto alzare la luce rispetto al baricentro della fiamma per posizionarla sopra
	float tirafuori = 0.631377;

	x = 0;
	y = 62.39685;
	z = 92.94437 + tirafuoriL;
	luceTesta = create_point_light(x,y,z,255/255,255/255,255/255,intensitaL,raggioL, "luceTestaLumiere");

	x = -8.34752;
	y = 62.39685;
	z = 86.84570 + tirafuoriL;
	luceSx = create_point_light(x,y,z,255/255,255/255,255/255,intensitaL,raggioL, "luceSxLumiere");

	x = 8.34752;
	y = 62.39685;
	z = 86.84570 + tirafuoriL;
	luceDx = create_point_light(x,y,z,255/255,255/255,255/255,intensitaL,raggioL, "luceDxLumiere");

	// Candelabro Sinistro

	x = -69.01921;
	y = 17.95068;
	z = 125.55260 + tirafuori;
	create_point_light(x,y,z,255/255,255/255,255/255,intensita,raggio, "luce1");

	x = -78.04932;
	y = 69.01921;
	z = 125.55260 + tirafuori;
	create_point_light(x,y,z,255/255,255/255,255/255,intensita,raggio, "luce2");

	x = -86.98070;
	y = 78.04932;
	z = 125.55260 + tirafuori;
	create_point_light(x,y,z,255/255,255/255,255/255,intensita,raggio, "luce3");

	x = -77.95068;
	y = 86.98079;
	z = 125.55260 + tirafuori;
	create_point_light(x,y,z,255/255,255/255,255/255,intensita,raggio, "luce4");

	x = -77.97695;
	y = 77.95068;
	z = 126.75810 + tirafuori;
	create_point_light(x,y,z,255/255,255/255,255/255,intensita,raggio, "luce5");

	// candelabro Destro

	x = 86.98079;
	y = 77.95068;
	z = 125.55260 + tirafuori;
	create_point_light(x,y,z,255/255,255/255,255/255,intensita,raggio, "luce1Bis");

	x = 77.95068;
	y = 69.01921;
	z = 125.55260 + tirafuori;
	create_point_light(x,y,z,255/255,255/255,255/255,intensita,raggio, "luce2Bis");

	x = 69.01921;
	y = 78.04932;
	z = 125.55260 + tirafuori;
	create_point_light(x,y,z,255/255,255/255,255/255,intensita,raggio, "luce3Bis");

	x = 78.04932;
	y = 86.98079;
	z = 125.55260 + tirafuori;
	create_point_light(x,y,z,255/255,255/255,255/255,intensita,raggio, "luce4Bis");

	x = 78.02305;
	y = 77.95068;
	z = 126.75810 + tirafuori;
	create_point_light(x,y,z,255/255,255/255,255/255,intensita,raggio, "luce5Bis");

	/********************/
	/* ATTRIBUTI COLORE */
	/********************/

	oro = create_attribute("oro");
	set_color(oro,202/255.0,139/255.0,11/255.0,0.730,0.57845);
	set_reflectivity(oro,0.350,2);
	set_transparency(oro,0.0,0.0,0,3.0);

	neroOcchi = create_attribute("neroOcchi");
	set_color(neroOcchi,0,0,0,0.2,0.28);
	set_reflectivity(neroOcchi,0.20,2);
	set_transparency(neroOcchi,0.0,0.0,0,2.0);

	neroSopracciglia = create_attribute("neroSopracciglia");
	set_color(neroSopracciglia,0,0,0,0.5,1);
	set_reflectivity(neroSopracciglia,0,1);
	set_transparency(neroSopracciglia,0.0,0.0,0,2.0);

	bianco = create_attribute("bianco");
	set_color(bianco,1,1,1,0.5,1.0);
	set_reflectivity(bianco,0.0,2);
	set_transparency(bianco,0.0,0.0,0,1.0);
	
	marrone = create_attribute("marrone");
	set_color(marrone,111/255.0,69/255.0,0.0,0,1);
	set_reflectivity(marrone,0,2);
	set_transparency(marrone,0.0,0.0,0,2.0);

	cera = create_attribute("cera");
	set_color(cera,252/255.0,255/255.0,172/255.0,0.5,1);
	set_reflectivity(cera,0,1);
	set_transparency(cera,0.0,0.0,0,2.0);

        specchioAttr = create_attribute("specchio");
	set_color(specchioAttr,0,0,0,0,1);
	set_reflectivity(specchioAttr,1.0,128);

	argento = create_attribute("argento");
	set_color(argento,127/255.0,127/255.0,127/255.0,0.330,0.428);
	set_reflectivity(argento,0.350,3);
	set_transparency(argento,0.0,0.0,0,2.0);

	/***********/
	/* TEXTURE */
	/***********/

	legnoTavolo = create_attribute("legnoTavolo");
	pavimentoAttr = create_attribute("pavimentoAttr");
	muriAttr = create_attribute("muriAttr");
	colorFoglia = create_attribute("colorFoglia");
	terracotta = create_attribute("terracotta");
	terra = create_attribute("terra");
	fiamma = create_attribute("fiamma");
		set_transparency(fiamma,0.5,0.2,1,0);
	tazzinaAttr = create_attribute("tazzinaAttr");
		set_reflectivity(tazzinaAttr,0.2,2);
	broccaAttr = create_attribute("broccaAttr");
		set_reflectivity(broccaAttr,0.2,2);

	/**********/
	/* PARETI */
	/**********/

	// Superfici che compongono le pareti
	pavimento = read_nurbs("pavimento.db");
	pareteSx = read_nurbs("pareteSx.db");
	pareteDx = read_nurbs("pareteDx.db");
	pareteFronte = read_nurbs("pareteFronte.db");
	soffitto = read_nurbs("soffitto.db");

	// creo la lista delle pareti
	pareti = create_list(pavimento, "pareti");
	pareti = insert_in_list(pareti, pareteDx);
	pareti = insert_in_list(pareti, pareteSx);
	pareti = insert_in_list(pareti, pareteFronte);
	pareti = insert_in_list(pareti, soffitto);

	/***********/
	/* LUMIERE */
	/***********/

	// Superfici che compongono Lumiere
	base = read_nurbs("base.db");
	braccioDx = read_nurbs("braccioDx.db");
	braccioSx = read_nurbs("braccioSx.db");
	busto = read_nurbs("busto.db");
	candelaDx = read_nurbs("candelaDx.db");
	candelaSx = read_nurbs("candelaSx.db");
	candelaTesta = read_nurbs("candelaTesta.db");
	cintura = read_nurbs("cintura.db");
	collo = read_nurbs("collo.db");
	fiammaDx = read_nurbs("fiammaDx.db");
	fiammaSx = read_nurbs("fiammaSx.db");
	fiammaTesta = read_nurbs("fiammaTesta.db");
	foglia1Dx = read_nurbs("foglia1Dx.db");
	foglia1Sx = read_nurbs("foglia1Sx.db");
	foglia2Dx = read_nurbs("foglia2Dx.db");
	foglia2Sx = read_nurbs("foglia2Sx.db");
	foglia3Dx = read_nurbs("foglia3Dx.db");
	foglia3Sx = read_nurbs("foglia3Sx.db");
	foglia4Dx = read_nurbs("foglia4Dx.db");
	foglia4Sx = read_nurbs("foglia4Sx.db");
	fogliaBase1 = read_nurbs("fogliaBase1.db");
	fogliaBase2 = read_nurbs("fogliaBase2.db");
	fogliaBase3 = read_nurbs("fogliaBase3.db");
	fogliaBase4 = read_nurbs("fogliaBase4.db");
	goccia = read_nurbs("goccia.db");
	manoDx = read_nurbs("manoDx.db");
	manoSx = read_nurbs("manoSx.db");
	mascella = read_nurbs("mascella.db");
	naso = read_nurbs("naso.db");
	occhioDx = read_nurbs("occhioDx.db");
	occhioSx = read_nurbs("occhioSx.db");
	pancia = read_nurbs("pancia.db");
	polsoDx = read_nurbs("polsoDx.db");
	polsoSx = read_nurbs("polsoSx.db");
	pupillaDx = read_nurbs("pupillaDx.db");
	pupillaSx = read_nurbs("pupillaSx.db");
	sopraBase = read_nurbs("sopraBase.db");
	sopracciglioDx = read_nurbs("sopracciglioDx.db");
	sopracciglioSx = read_nurbs("sopracciglioSx.db");
	sottoBase = read_nurbs("sottoBase.db");
	sottoCandelaDx = read_nurbs("sottoCandelaDx.db");	
	sottoCandelaSx = read_nurbs("sottoCandelaSx.db");
	sottoCandelaTesta = read_nurbs("sottoCandelaTesta.db");
	sottoPancia = read_nurbs("sottoPancia.db");
	spallaDx = read_nurbs("spallaDx.db");
	spallaSx = read_nurbs("spallaSx.db");
	stoppinoDx = read_nurbs("stoppinoDx.db");
	stoppinoSx = read_nurbs("stoppinoSx.db");
	stoppinoTesta = read_nurbs("stoppinoTesta.db");
	
	// creo la lista delle superfici che compongono Lumiere
	lumiere = create_list(base,"lumiere");
	lumiere = insert_in_list(lumiere, braccioDx);
	lumiere = insert_in_list(lumiere, braccioSx);
	lumiere = insert_in_list(lumiere, busto);
	lumiere = insert_in_list(lumiere, candelaDx);
	lumiere = insert_in_list(lumiere, candelaSx);
	lumiere = insert_in_list(lumiere, candelaTesta);
	lumiere = insert_in_list(lumiere, cintura);
	lumiere = insert_in_list(lumiere, collo);
	lumiere = insert_in_list(lumiere, fiammaDx);
	lumiere = insert_in_list(lumiere, fiammaSx);
	lumiere = insert_in_list(lumiere, fiammaTesta);
	lumiere = insert_in_list(lumiere, foglia1Dx);
	lumiere = insert_in_list(lumiere, foglia1Sx);
	lumiere = insert_in_list(lumiere, foglia2Dx);
	lumiere = insert_in_list(lumiere, foglia2Sx);
	lumiere = insert_in_list(lumiere, foglia3Dx);
	lumiere = insert_in_list(lumiere, foglia3Sx);
	lumiere = insert_in_list(lumiere, foglia4Dx);
	lumiere = insert_in_list(lumiere, foglia4Sx);
	lumiere = insert_in_list(lumiere, fogliaBase1);
	lumiere = insert_in_list(lumiere, fogliaBase2);
	lumiere = insert_in_list(lumiere, fogliaBase3);
	lumiere = insert_in_list(lumiere, fogliaBase4);
	lumiere = insert_in_list(lumiere, goccia);
	lumiere = insert_in_list(lumiere, manoDx);
	lumiere = insert_in_list(lumiere, manoSx);
	lumiere = insert_in_list(lumiere, mascella);
	lumiere = insert_in_list(lumiere, naso);
	lumiere = insert_in_list(lumiere, occhioDx);
	lumiere = insert_in_list(lumiere, occhioSx);
	lumiere = insert_in_list(lumiere, pancia);
	lumiere = insert_in_list(lumiere, polsoDx);
	lumiere = insert_in_list(lumiere, polsoSx);
	lumiere = insert_in_list(lumiere, pupillaDx);
	lumiere = insert_in_list(lumiere, pupillaSx);
	lumiere = insert_in_list(lumiere, sopraBase);
	lumiere = insert_in_list(lumiere, sopracciglioDx);
	lumiere = insert_in_list(lumiere, sopracciglioSx);
	lumiere = insert_in_list(lumiere, sottoBase);
	lumiere = insert_in_list(lumiere, sottoCandelaDx);
	lumiere = insert_in_list(lumiere, sottoCandelaSx);
	lumiere = insert_in_list(lumiere, sottoCandelaTesta);
	lumiere = insert_in_list(lumiere, sottoPancia);
	lumiere = insert_in_list(lumiere, spallaDx);
	lumiere = insert_in_list(lumiere, spallaSx);
	lumiere = insert_in_list(lumiere, stoppinoDx);
	lumiere = insert_in_list(lumiere, stoppinoSx);
	lumiere = insert_in_list(lumiere, stoppinoTesta);
	
	// setto i colori di Lumiere
 	set_attribute(lumiere, oro);
 	set_attribute(pupillaDx, neroOcchi);
 	set_attribute(pupillaSx, neroOcchi);
 	set_attribute(sopracciglioDx, neroSopracciglia);
 	set_attribute(sopracciglioSx, neroSopracciglia);
 	set_attribute(occhioDx, bianco);
 	set_attribute(occhioSx, bianco);
 	set_attribute(stoppinoDx, marrone);
	set_attribute(stoppinoSx, marrone);
	set_attribute(stoppinoTesta, marrone);
	set_attribute(naso, cera);
	set_attribute(goccia, cera);
	set_attribute(candelaDx, cera);
	set_attribute(candelaSx, cera);
	set_attribute(candelaTesta, cera);

	/**********/
	/* TAVOLO */
	/**********/

	// Superfici che compongono il tavolo
	graffacorta2tappo4 = read_nurbs("tavolo-graffacorta2tappo4.db");
	piano = read_nurbs("tavolo-piano.db");
	graffalunga1tappo1 = read_nurbs("tavolo-graffalunga1tappo1.db");
	graffalunga1tappo3 = read_nurbs("tavolo-graffalunga1tappo3.db");
	graffalunga1tappo2 = read_nurbs("tavolo-graffalunga1tappo2.db");
	graffacorta1tappo4 = read_nurbs("tavolo-graffacorta1tappo4.db");
	graffacorta2tappo2 = read_nurbs("tavolo-graffacorta2tappo2.db");
	graffalunga2tappo4 = read_nurbs("tavolo-graffalunga2tappo4.db");
	graffacorta2tappo1 = read_nurbs("tavolo-graffacorta2tappo1.db");
	gamba3 = read_nurbs("tavolo-gamba3.db");
	graffalunga1tappo4 = read_nurbs("tavolo-graffalunga1tappo4.db");
	cubo2 = read_nurbs("tavolo-cubo2.db");
	graffalunga2tappo2 = read_nurbs("tavolo-graffalunga2tappo2.db");
	graffalunga2tappo3 = read_nurbs("tavolo-graffalunga2tappo3.db");
	graffacorta2tappo3 = read_nurbs("tavolo-graffacorta2tappo3.db");
	gamba4 = read_nurbs("tavolo-gamba4.db");
	gamba1 = read_nurbs("tavolo-gamba1.db");
	graffacorta2 = read_nurbs("tavolo-graffacorta2.db");
	graffacorta1 = read_nurbs("tavolo-graffacorta1.db");
	graffacorta1tappo1 = read_nurbs("tavolo-graffacorta1tappo1.db");
	graffacorta1tappo3 = read_nurbs("tavolo-graffacorta1tappo3.db");
	graffacorta1tappo2 = read_nurbs("tavolo-graffacorta1tappo2.db");
	cubo1 = read_nurbs("tavolo-cubo1.db");
	cubo3 = read_nurbs("tavolo-cubo3.db");
	gamba2 = read_nurbs("tavolo-gamba2.db");
	graffalunga2 = read_nurbs("tavolo-graffalunga2.db");
	cubo4 = read_nurbs("tavolo-cubo4.db");
	graffalunga1 = read_nurbs("tavolo-graffalunga1.db");
	graffalunga2tappo1 = read_nurbs("tavolo-graffalunga2tappo1.db");

	// Creo la lista del tavolo
	tavolo = create_list(graffacorta2tappo4, "tavolo");
	tavolo = insert_in_list(tavolo, piano);
	tavolo = insert_in_list(tavolo, graffalunga1tappo1);
	tavolo = insert_in_list(tavolo, graffalunga1tappo3);
	tavolo = insert_in_list(tavolo, graffalunga1tappo2);
	tavolo = insert_in_list(tavolo, graffacorta1tappo4);
	tavolo = insert_in_list(tavolo, graffacorta2tappo2);
	tavolo = insert_in_list(tavolo, graffalunga2tappo4);
	tavolo = insert_in_list(tavolo, graffacorta2tappo1);
	tavolo = insert_in_list(tavolo, gamba3);
	tavolo = insert_in_list(tavolo, graffalunga1tappo4);
	tavolo = insert_in_list(tavolo, cubo2);
	tavolo = insert_in_list(tavolo, graffalunga2tappo2);
	tavolo = insert_in_list(tavolo, graffalunga2tappo3);
	tavolo = insert_in_list(tavolo, graffacorta2tappo3);
	tavolo = insert_in_list(tavolo, gamba4);
	tavolo = insert_in_list(tavolo, gamba1);
	tavolo = insert_in_list(tavolo, graffacorta2);
	tavolo = insert_in_list(tavolo, graffacorta1);
	tavolo = insert_in_list(tavolo, graffacorta1tappo1);
	tavolo = insert_in_list(tavolo, graffacorta1tappo3);
	tavolo = insert_in_list(tavolo, graffacorta1tappo2);
	tavolo = insert_in_list(tavolo, cubo1);
	tavolo = insert_in_list(tavolo, cubo3);
	tavolo = insert_in_list(tavolo, gamba2);
	tavolo = insert_in_list(tavolo, graffalunga2);
	tavolo = insert_in_list(tavolo, cubo4);
	tavolo = insert_in_list(tavolo, graffalunga1);
	tavolo = insert_in_list(tavolo, graffalunga2tappo1);

	/************/
	/* SCAFFALI */
	/************/

	// Superfici che compongono lo scaffale1
	scaffaleRotondo = read_nurbs("scaffaleRotondo.db");
	scaffaleLato2 = read_nurbs("scaffaleLato2.db");
	scaffaleLato1 = read_nurbs("scaffaleLato1.db");

	// Creo la lista dello scaffale1
	scaffale1 = create_list(scaffaleRotondo, "scaffale1");
	scaffale1 = insert_in_list(scaffale1, scaffaleLato2);
	scaffale1 = insert_in_list(scaffale1, scaffaleLato1);

	// Superfici che compongono lo scaffale2
	scaffaleRotondoBis = create_copy(scaffaleRotondo, "scaffaleRotondoBis");
	scaffaleLato2Bis = create_copy(scaffaleLato2, "scaffaleLato2Bis");
	scaffaleLato1Bis = create_copy(scaffaleLato1, "scaffaleLato1Bis");

	// Creo la lista dello scaffale2
	scaffale2 = create_list(scaffaleRotondoBis, "scaffale2");
	scaffale2 = insert_in_list(scaffale2, scaffaleLato2Bis);
	scaffale2 = insert_in_list(scaffale2, scaffaleLato1Bis);

	/**********/
	/* PIANTE */
	/**********/

	// Superfici che compongono la pianta1
	vaso_f5 = read_nurbs("vaso_f5.db");
	vaso_bastone = read_nurbs("vaso_bastone.db");
	vaso_f2 = read_nurbs("vaso_f2.db");
	vaso_f18 = read_nurbs("vaso_f18.db");
	vaso_f9 = read_nurbs("vaso_f9.db");
	vaso_f8 = read_nurbs("vaso_f8.db");
	vaso_f7 = read_nurbs("vaso_f7.db");
	vaso_f11 = read_nurbs("vaso_f11.db");
	vaso_f12 = read_nurbs("vaso_f12.db");
	vaso_f17 = read_nurbs("vaso_f17.db");
	vaso_f16 = read_nurbs("vaso_f16.db");
	vaso_vaso = read_nurbs("vaso_vaso.db");
	vaso_f3 = read_nurbs("vaso_f3.db");
	vaso_f14 = read_nurbs("vaso_f14.db");
	vaso_terra = read_nurbs("vaso_terra.db");
	vaso_f4 = read_nurbs("vaso_f4.db");
	vaso_f1 = read_nurbs("vaso_f1.db");
	vaso_f15 = read_nurbs("vaso_f15.db");
	vaso_f6 = read_nurbs("vaso_f6.db");
	vaso_f13 = read_nurbs("vaso_f13.db");
	vaso_f10 = read_nurbs("vaso_f10.db");
	
	// Creo la lista della pianta1
	pianta1 = create_list(vaso_f5, "pianta1");	
	pianta1 = insert_in_list(pianta1, vaso_bastone);
	pianta1 = insert_in_list(pianta1, vaso_f2);
	pianta1 = insert_in_list(pianta1, vaso_f18);
	pianta1 = insert_in_list(pianta1, vaso_f9);
	pianta1 = insert_in_list(pianta1, vaso_f8);
	pianta1 = insert_in_list(pianta1, vaso_f7);
	pianta1 = insert_in_list(pianta1, vaso_f11);
	pianta1 = insert_in_list(pianta1, vaso_f12);
	pianta1 = insert_in_list(pianta1, vaso_f17);
	pianta1 = insert_in_list(pianta1, vaso_f16);
	pianta1 = insert_in_list(pianta1, vaso_vaso);
	pianta1 = insert_in_list(pianta1, vaso_f3);
	pianta1 = insert_in_list(pianta1, vaso_f14);
	pianta1 = insert_in_list(pianta1, vaso_terra);
	pianta1 = insert_in_list(pianta1, vaso_f4);
	pianta1 = insert_in_list(pianta1, vaso_f1);
	pianta1 = insert_in_list(pianta1, vaso_f15);
	pianta1 = insert_in_list(pianta1, vaso_f6);
	pianta1 = insert_in_list(pianta1, vaso_f13);
	pianta1 = insert_in_list(pianta1, vaso_f10);

	// Superfici che compongono la pianta2
	vaso_f5Bis = create_copy(vaso_f5, "vaso_f5Bis");
	vaso_bastoneBis = create_copy(vaso_bastone, "vaso_bastoneBis");
	vaso_f2Bis = create_copy(vaso_f2, "vaso_f2Bis");
	vaso_f18Bis = create_copy(vaso_f18, "vaso_f18Bis");
	vaso_f9Bis = create_copy(vaso_f9, "vaso_f9Bis");
	vaso_f8Bis = create_copy(vaso_f8, "vaso_f8Bis");
	vaso_f7Bis = create_copy(vaso_f7, "vaso_f7Bis");
	vaso_f11Bis = create_copy(vaso_f11, "vaso_f11Bis");
	vaso_f12Bis = create_copy(vaso_f12, "vaso_f12Bis");
	vaso_f17Bis = create_copy(vaso_f17, "vaso_f17Bis");
	vaso_f16Bis = create_copy(vaso_f16, "vaso_f16Bis");
	vaso_vasoBis = create_copy(vaso_vaso, "vaso_vasoBis");
	vaso_f3Bis = create_copy(vaso_f3, "vaso_f3Bis");
	vaso_f14Bis = create_copy(vaso_f14, "vaso_f14Bis");
	vaso_terraBis = create_copy(vaso_terra, "vaso_terraBis");
	vaso_f4Bis = create_copy(vaso_f4, "vaso_f4Bis");
	vaso_f1Bis = create_copy(vaso_f1, "vaso_f1Bis");
	vaso_f15Bis = create_copy(vaso_f15, "vaso_f15Bis");
	vaso_f6Bis = create_copy(vaso_f6, "vaso_f6Bis");
	vaso_f13Bis = create_copy(vaso_f13, "vaso_f13Bis");
	vaso_f10Bis = create_copy(vaso_f10, "vaso_f10Bis");

	// Creo la lista della pianta2
	pianta2 = create_list(vaso_f5Bis, "pianta2");
	pianta2 = insert_in_list(pianta2, vaso_bastoneBis);
	pianta2 = insert_in_list(pianta2, vaso_f2Bis);
	pianta2 = insert_in_list(pianta2, vaso_f18Bis);
	pianta2 = insert_in_list(pianta2, vaso_f9Bis);
	pianta2 = insert_in_list(pianta2, vaso_f8Bis);
	pianta2 = insert_in_list(pianta2, vaso_f7Bis);
	pianta2 = insert_in_list(pianta2, vaso_f11Bis);
	pianta2 = insert_in_list(pianta2, vaso_f12Bis);
	pianta2 = insert_in_list(pianta2, vaso_f17Bis);
	pianta2 = insert_in_list(pianta2, vaso_f16Bis);
	pianta2 = insert_in_list(pianta2, vaso_vasoBis);
	pianta2 = insert_in_list(pianta2, vaso_f3Bis);
	pianta2 = insert_in_list(pianta2, vaso_f14Bis);
	pianta2 = insert_in_list(pianta2, vaso_terraBis);
	pianta2 = insert_in_list(pianta2, vaso_f4Bis);
	pianta2 = insert_in_list(pianta2, vaso_f1Bis);
	pianta2 = insert_in_list(pianta2, vaso_f15Bis);
	pianta2 = insert_in_list(pianta2, vaso_f6Bis);
	pianta2 = insert_in_list(pianta2, vaso_f13Bis);
	pianta2 = insert_in_list(pianta2, vaso_f10Bis);

	/************/
	/* SPECCHIO */
	/************/

	// Superfici che compongono lo specchio
	cornice = read_nurbs("quadro.db");
	vetro = read_nurbs("quadro_tela.db");

	// Creo la lista dello specchio
	specchio = create_list(cornice, "specchio");
	specchio = insert_in_list(specchio, vetro);

	set_attribute(vetro, specchioAttr);

	/***************/
	/* CANDELABRO1 */
	/***************/

	// Superfici che compongono il candelabro
	stoppino5 = read_nurbs("stoppino5.db");
	fiamma1 = read_nurbs("fiamma1.db");
	stoppino4 = read_nurbs("stoppino4.db");
	polso4 = read_nurbs("polso4.db");
	candela1 = read_nurbs("candela1.db");
	sopramano1 = read_nurbs("sopramano1.db");
	candelabro = read_nurbs("candelabro.db");
	polso3 = read_nurbs("polso3.db");
	sottocandela2 = read_nurbs("sottocandela2.db");
	polso2 = read_nurbs("polso2.db");
	fiamma4 = read_nurbs("fiamma4.db");
	candela5 = read_nurbs("candela5.db");
	mano3 = read_nurbs("mano3.db");
	stoppino3 = read_nurbs("stoppino3.db");
	fiamma5 = read_nurbs("fiamma5.db");
	mano5 = read_nurbs("mano5.db");
	fiamma2 = read_nurbs("fiamma2.db");
	candela3 = read_nurbs("candela3.db");
	sottocandela3 = read_nurbs("sottocandela3.db");
	mano4 = read_nurbs("mano4.db");
	stoppino1 = read_nurbs("stoppino1.db");
	fiamma3 = read_nurbs("fiamma3.db");
	sottocandela4 = read_nurbs("sottocandela4.db");
	braccio1 = read_nurbs("braccio1.db");
	sottocandela5 = read_nurbs("sottocandela5.db");
	polso1 = read_nurbs("polso1.db");
	candela4 = read_nurbs("candela4.db");
	mano2 = read_nurbs("mano2.db");
	candela2 = read_nurbs("candela2.db");
	mano1 = read_nurbs("mano1.db");
	braccio2 = read_nurbs("braccio2.db");
	stoppino2 = read_nurbs("stoppino2.db");
	braccio3 = read_nurbs("braccio3.db");
	braccio4 = read_nurbs("braccio4.db");
	
	// Creo la lista del candelabro
	candelabro1 = create_list(stoppino5, "candelabro1");
	candelabro1 = insert_in_list(candelabro1, braccio4);
	candelabro1 = insert_in_list(candelabro1, fiamma1);
	candelabro1 = insert_in_list(candelabro1, stoppino4);
	candelabro1 = insert_in_list(candelabro1, polso4);
	candelabro1 = insert_in_list(candelabro1, candela1);
	candelabro1 = insert_in_list(candelabro1, sopramano1);
	candelabro1 = insert_in_list(candelabro1, candelabro);
	candelabro1 = insert_in_list(candelabro1, polso3);
	candelabro1 = insert_in_list(candelabro1, sottocandela2);
	candelabro1 = insert_in_list(candelabro1, polso2);
	candelabro1 = insert_in_list(candelabro1, fiamma4);
	candelabro1 = insert_in_list(candelabro1, candela5);
	candelabro1 = insert_in_list(candelabro1, mano3);
	candelabro1 = insert_in_list(candelabro1, stoppino3);
	candelabro1 = insert_in_list(candelabro1, fiamma5);
	candelabro1 = insert_in_list(candelabro1, mano5);
	candelabro1 = insert_in_list(candelabro1, fiamma2);
	candelabro1 = insert_in_list(candelabro1, candela3);
	candelabro1 = insert_in_list(candelabro1, sottocandela3);
	candelabro1 = insert_in_list(candelabro1, mano4);
	candelabro1 = insert_in_list(candelabro1, stoppino1);
	candelabro1 = insert_in_list(candelabro1, fiamma3);
	candelabro1 = insert_in_list(candelabro1, sottocandela4);
	candelabro1 = insert_in_list(candelabro1, braccio1);
	candelabro1 = insert_in_list(candelabro1, sottocandela5);
	candelabro1 = insert_in_list(candelabro1, polso1);
	candelabro1 = insert_in_list(candelabro1, candela4);
	candelabro1 = insert_in_list(candelabro1, mano2);
	candelabro1 = insert_in_list(candelabro1, candela2);
	candelabro1 = insert_in_list(candelabro1, mano1);
	candelabro1 = insert_in_list(candelabro1, braccio2);
	candelabro1 = insert_in_list(candelabro1, stoppino2);
	candelabro1 = insert_in_list(candelabro1, braccio3);

	// colori candelabro
	set_attribute(candelabro1, oro);
	set_attribute(stoppino1, marrone);
	set_attribute(stoppino2, marrone);
	set_attribute(stoppino3, marrone);
	set_attribute(stoppino4, marrone);
	set_attribute(stoppino5, marrone);
	set_attribute(candela1, cera);
	set_attribute(candela2, cera);
	set_attribute(candela3, cera);
	set_attribute(candela4, cera);
	set_attribute(candela5, cera);

	/***************/
	/* CANDELABRO2 */
	/***************/

	// Superfici che compongono il candelabro2
	stoppino5Bis = create_copy(stoppino5, "stoppino5Bis");
	fiamma1Bis = create_copy(fiamma1, "fiamma1Bis");
	stoppino4Bis = create_copy(stoppino4, "stoppino4Bis");
	polso4Bis = create_copy(polso4, "polso4Bis");
	candela1Bis = create_copy(candela1, "candela1Bis");
	sopramano1Bis = create_copy(sopramano1, "sopramano1Bis");
	candelabroBis = create_copy(candelabro, "candelabroBis");
	polso3Bis = create_copy(polso3, "polso3Bis");
	sottocandela2Bis = create_copy(sottocandela2, "sottocandela2Bis");
	polso2Bis = create_copy(polso2, "polso2Bis");
	fiamma4Bis = create_copy(fiamma4, "fiamma4Bis");
	candela5Bis = create_copy(candela5, "candela5Bis");
	mano3Bis = create_copy(mano3, "mano3Bis");
	stoppino3Bis = create_copy(stoppino3, "stoppino3Bis");
	fiamma5Bis = create_copy(fiamma5, "fiamma5Bis");
	mano5Bis = create_copy(mano5, "mano5Bis");
	fiamma2Bis = create_copy(fiamma2, "fiamma2Bis");
	candela3Bis = create_copy(candela3, "candela3Bis");
	sottocandela3Bis = create_copy(sottocandela3, "sottocandela3Bis");
	mano4Bis = create_copy(mano4, "mano4Bis");
	stoppino1Bis = create_copy(stoppino1, "stoppino1Bis");
	fiamma3Bis = create_copy(fiamma3, "fiamma3Bis");
	sottocandela4Bis = create_copy(sottocandela4, "sottocandela4Bis");
	braccio1Bis = create_copy(braccio1, "braccio1Bis");
	sottocandela5Bis = create_copy(sottocandela5, "sottocandela5Bis");
	polso1Bis = create_copy(polso1, "polso1Bis");
	braccio4Bis = create_copy(braccio4, "braccio4Bis");
	candela4Bis = create_copy(candela4, "candela4Bis");
	mano2Bis = create_copy(mano2, "mano2Bis");
	candela2Bis = create_copy(candela2, "candela2Bis");
	mano1Bis = create_copy(mano1, "mano1Bis");
	braccio2Bis = create_copy(braccio2, "braccio2Bis");
	stoppino2Bis = create_copy(stoppino2, "stoppino2Bis");
	braccio3Bis = create_copy(braccio3, "braccio3Bis");
	
	// Creo la lista del candelabro	
	candelabro2 = create_list(stoppino5Bis, "candelabro2");
	candelabro2 = insert_in_list(candelabro2, fiamma1Bis);
	candelabro2 = insert_in_list(candelabro2, stoppino4Bis);
	candelabro2 = insert_in_list(candelabro2, polso4Bis);
	candelabro2 = insert_in_list(candelabro2, candela1Bis);
	candelabro2 = insert_in_list(candelabro2, sopramano1Bis);
	candelabro2 = insert_in_list(candelabro2, candelabroBis);
	candelabro2 = insert_in_list(candelabro2, polso3Bis);
	candelabro2 = insert_in_list(candelabro2, sottocandela2Bis);
	candelabro2 = insert_in_list(candelabro2, polso2Bis);
	candelabro2 = insert_in_list(candelabro2, fiamma4Bis);
	candelabro2 = insert_in_list(candelabro2, candela5Bis);
	candelabro2 = insert_in_list(candelabro2, mano3Bis);
	candelabro2 = insert_in_list(candelabro2, stoppino3Bis);
	candelabro2 = insert_in_list(candelabro2, fiamma5Bis);
	candelabro2 = insert_in_list(candelabro2, mano5Bis);
	candelabro2 = insert_in_list(candelabro2, fiamma2Bis);
	candelabro2 = insert_in_list(candelabro2, candela3Bis);
	candelabro2 = insert_in_list(candelabro2, sottocandela3Bis);
	candelabro2 = insert_in_list(candelabro2, mano4Bis);
	candelabro2 = insert_in_list(candelabro2, stoppino1Bis);
	candelabro2 = insert_in_list(candelabro2, fiamma3Bis);
	candelabro2 = insert_in_list(candelabro2, sottocandela4Bis);
	candelabro2 = insert_in_list(candelabro2, braccio1Bis);
	candelabro2 = insert_in_list(candelabro2, sottocandela5Bis);
	candelabro2 = insert_in_list(candelabro2, polso1Bis);
	candelabro2 = insert_in_list(candelabro2, braccio4Bis);
	candelabro2 = insert_in_list(candelabro2, candela4Bis);
	candelabro2 = insert_in_list(candelabro2, mano2Bis);
	candelabro2 = insert_in_list(candelabro2, candela2Bis);
	candelabro2 = insert_in_list(candelabro2, mano1Bis);
	candelabro2 = insert_in_list(candelabro2, braccio2Bis);
	candelabro2 = insert_in_list(candelabro2, stoppino2Bis);
	candelabro2 = insert_in_list(candelabro2, braccio3Bis);

	// colori candelabro
	set_attribute(candelabro2, oro);
	set_attribute(stoppino1Bis, marrone);
	set_attribute(stoppino2Bis, marrone);
	set_attribute(stoppino3Bis, marrone);
	set_attribute(stoppino4Bis, marrone);
	set_attribute(stoppino5Bis, marrone);
	set_attribute(candela1Bis, cera);
	set_attribute(candela2Bis, cera);
	set_attribute(candela3Bis, cera);
	set_attribute(candela4Bis, cera);
	set_attribute(candela5Bis, cera);

	/***********/
	/* VASSOIO */
	/***********/

	// Superfici che compongono il vassoio
	sur_vassoio_1 = read_nurbs("sur_vassoio_1.db");
	sur_vassoio_2 = read_nurbs("sur_vassoio_2.db");
	sur_vassoio_3 = read_nurbs("sur_vassoio_3.db");
	sur_vassoio_4 = read_nurbs("sur_vassoio_4.db");

	// Creo la lista del vassoio
	vassoio = create_list(sur_vassoio_1, "vassoio");
	vassoio = insert_in_list(vassoio, sur_vassoio_2);
	vassoio = insert_in_list(vassoio, sur_vassoio_3);
	vassoio = insert_in_list(vassoio, sur_vassoio_4);

	// Colori del vassoio
	set_attribute(sur_vassoio_1, argento);
	set_attribute(sur_vassoio_2, argento);
	set_attribute(sur_vassoio_3, argento);
	set_attribute(sur_vassoio_4, argento);

	/************/
	/* TAZZINA1 */
	/************/

	// Superfici che compongono la tazzina
	manicotazza1 = read_nurbs("manicotazza1.db");
	manicotazza2 = read_nurbs("manicotazza2.db");
	piattino = read_nurbs("piattino.db");
	tazza = read_nurbs("tazza.db");

	// Creo la lista della prima tazzina
	tazzina1 = create_list(manicotazza1, "tazzina1");
	tazzina1 = insert_in_list(tazzina1, manicotazza2);
	tazzina1 = insert_in_list(tazzina1, piattino);
	tazzina1 = insert_in_list(tazzina1, tazza);

	/************/
	/* TAZZINA2 */
	/************/

	// Superfici che compongono la tazzina
	manicotazza1Bis = create_copy(manicotazza1, "manicotazza1Bis");
	manicotazza2Bis = create_copy(manicotazza2, "manicotazza2Bis");
	piattinoBis = create_copy(piattino, "piattinoBis");
	tazzaBis = create_copy(tazza, "tazzaBis");

	// Creo la lista della seconda tazzina
	tazzina2 = create_list(manicotazza1Bis, "tazzina2");
	tazzina2 = insert_in_list(tazzina2, manicotazza2Bis);
	tazzina2 = insert_in_list(tazzina2, piattinoBis);
	tazzina2 = insert_in_list(tazzina2, tazzaBis);

	/**********/
	/* BROCCA */
	/**********/

	// Superfici che compongono la brocca
	brocca2 = read_nurbs("brocca2.db");
	manico = read_nurbs("manico.db");
	
	// Creo la lista della brocca
	brocca = create_list(brocca2, "brocca");
	brocca = insert_in_list(brocca, manico);

	/***********/
	/* TEXTURE */
	/***********/

	// pareti
	set_domain_texture(pareteSx,muriAttr,"textures/muro6.hr", 0,0.5,0,0.3, TRUE, 0.45,0.45);
	set_domain_texture(pareteDx,muriAttr,"textures/muro6.hr", 0,0.5,0,0.3, TRUE, 0.45,0.45);
	set_domain_texture(pareteFronte,muriAttr,"textures/muro6.hr", 0,0.5,0,0.3, TRUE, 0.45,0.45);
	set_domain_texture(soffitto,muriAttr,"textures/muro6.hr", 0,0.5,0,0.3, TRUE, 0.45,0.45);
	
	set_domain_texture(pavimento,pavimentoAttr,"textures/pavim7.hr", 0,0.5,0,0.3, TRUE, 0.45,0.45);

	// legno
	set_domain_texture(tavolo,legnoTavolo,"textures/legno1.hr",0,1.5,0,1.5, TRUE, 0.45,0.45);
	set_domain_texture(scaffale1,legnoTavolo,"textures/legno1.hr",0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(scaffale2,legnoTavolo,"textures/legno1.hr",0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(cornice,legnoTavolo,"textures/legno1.hr",0,0.5,0,0.5, TRUE, 0.45,0.45);

	// ceramica con rose
	set_domain_texture(brocca,broccaAttr,"textures/roserosa.hr",0,0.5,0,0.5, TRUE, 0.45,0.45);
	set_domain_texture(tazzina1,tazzinaAttr,"textures/roserosa.hr",0,0.25,0,0.25, TRUE, 0.45,0.45);
	set_domain_texture(tazzina2,tazzinaAttr,"textures/roserosa.hr",0,0.25,0,0.25, TRUE, 0.45,0.45);

	// fiamme Lumiere
	set_domain_texture(fiammaSx,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(fiammaDx,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(fiammaTesta,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);

	// fiamme candelabri
	set_domain_texture(fiamma1,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(fiamma2,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(fiamma3,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(fiamma4,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(fiamma5,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(fiamma1Bis,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(fiamma2Bis,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(fiamma3Bis,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(fiamma4Bis,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);
	set_domain_texture(fiamma5Bis,fiamma,"textures/fuoco1.hr", 0,1,0,1, TRUE, 0.45,0.45);

	// piante
	set_domain_texture(pianta1,colorFoglia,"textures/green.hr",0,0.5,0,0.5, TRUE, 0.45,0.45);
	set_domain_texture(pianta2,colorFoglia,"textures/green.hr",0,0.5,0,0.5, TRUE, 0.45,0.45);
	set_domain_texture(vaso_terra,terra,"textures/terriccio.hr",0,0.15,0,0.15, TRUE, 0.45,0.45);
	set_domain_texture(vaso_bastone,terra,"textures/terriccio.hr",0,0.15,0,0.15, TRUE, 0.45,0.45);
	set_domain_texture(vaso_terraBis,terra,"textures/terriccio.hr",0,0.15,0,0.15, TRUE, 0.45,0.45);
	set_domain_texture(vaso_bastoneBis,terra,"textures/terriccio.hr",0,0.15,0,0.15, TRUE, 0.45,0.45);

	set_domain_texture(vaso_vaso,terracotta,"textures/terracotta2.hr",0,0.5,0,0.5, TRUE, 0.45,0.45);
	set_domain_texture(vaso_vasoBis,terracotta,"textures/terracotta2.hr",0,0.5,0,0.5, TRUE, 0.45,0.45);

	/******************************/
	/* TRASFORMAZIONI GEOMETRICHE */
	/******************************/

	// spostamenti LUMIERE
	set_translate(lumiere,0,0,0.150);		// sposto lumiere verso l'alto per posizionarlo su 0-0-0
	set_translate(lumiere,0,100-37.60315,63.17570);	// sposto lumiere per posizionarlo sopra il tavolo

	// spostamenti TAVOLO
	set_translate(tavolo,-37.60315,-50,0);		// sposto il tavolo per impostarlo con baricentro in 0-0-0
	set_z_rotate(tavolo,90,1);			// lo giro di 90 gradi per appoggiarlo al muro col lato lungo
	set_translate(tavolo,0,100-37.60315,0);		// lo traslo verso il muro

	// spostamenti SCAFFALI
	set_translate(scaffale1,-100,100,100);		// sposto lo scaffale nell'angolo sinistro delle pareti
	set_z_rotate(scaffale2,-90,1);			// ruoto il secondo scaffale per metterlo poi nell'angolo destro della stanza
	set_translate(scaffale2,100,100,100);		// sposto lo scaffale nell'angolo destro delle pareti

	// posizionamento della PIANTA1
	set_translate(pianta1,-20.35610,-20.35610,0);	// sposto in 0-0-0 	
	set_z_rotate(pianta1,-40,1);			// ruoto la pianta per posizionare le foglie in modo da stare dentro alla stanza
	set_scale(pianta1,1.6,1.6,2.1);			// ingrandisco la pianta stiracchiandola verso l'alto (per farla più alta)
	set_translate(pianta1,-70,60,0);		// la posiziono nell'angolo sinistro

	// posizionamento della PIANTA2
	set_translate(pianta2,-20.35610,-20.35610,0);	// sposto in 0-0-0 	
	set_z_rotate(pianta2,-05,1);			// ruoto la pianta per posizionare le foglie in modo da stare dentro alla stanza
	set_scale(pianta2,1.6,1.6,2.1);			// ingrandisco la pianta stiracchiandola verso l'alto (per farla più alta)
	set_translate(pianta2,70,60,0);			// la posiziono nell'angolo destro

	// posizionamento SPECCHIO
	set_translate(specchio,-20.61175,-25.0,0);	// sposto in 0-0-0
	set_x_rotate(specchio,-90,1);			// rotazione per mettere il quadro in verticale
	set_z_rotate(specchio, 180,1);			// rotazione per mettere il quadro in verticale
	set_translate(specchio,0,99.9,90);		// lo posiziono sul muro dietro Lumiere

	// posizionamento CANDELABRI
	set_translate(candelabro1,22-100,100-22,102.5441);	// posiziono sullo scaffale di sinistra
	set_translate(candelabro2,100-22,100-22,102.5441);	// posiziono sullo scaffale di destra

	// posizionamento VASSOIO
	set_translate(vassoio,29,13,63.17570);			// posiziono il vassoio sul tavolo
	set_z_rotate(vassoio,30,1);			

	// posizionamento TAZZINE
	set_translate(tazzina1,-3.95123,-3.96,0);	// posizionata in 0-0-0 per poter fare la rotazione
	set_translate(tazzina2,-3.95123,-3.96,0);	// posizionata in 0-0-0 per poter fare la rotazione
 	set_z_rotate(tazzina1,-80,1);
 	set_z_rotate(tazzina2,-150,1);
	set_translate(tazzina1,15 + 3.95123,39 + 3.96,63.17570 + 0.31063);	// sul tavolo+spessoreVassoio per metterla sul vassoio
	set_translate(tazzina2,23 + 3.95123,35 + 3.96,63.17570 + 0.31063);	// sul tavolo+spessoreVassoio per metterla sul vassoio
	
	// posizionamento BROCCA
	set_translate(brocca,0,-5.97336,0);				// posizionata in 0-0-0 per poter fare la rotazione
	set_z_rotate(brocca,-10,1);
	set_translate(brocca,27,41 + 5.97336,63.17570 + 0.31063);	// sul tavolo+spessoreVassoio per metterla sul vassoio

	// Metto nella lista della scena tutti gli elementi
	scena = create_list(lumiere,"scena");
	scena = insert_in_list(scena, pareti);
	scena = insert_in_list(scena, tavolo);
	scena = insert_in_list(scena, scaffale1);
	scena = insert_in_list(scena, scaffale2);
	scena = insert_in_list(scena, pianta1);
 	scena = insert_in_list(scena, pianta2);
	scena = insert_in_list(scena, specchio);
	scena = insert_in_list(scena, candelabro1);
	scena = insert_in_list(scena, candelabro2);
	scena = insert_in_list(scena, vassoio);
	scena = insert_in_list(scena, tazzina1);
	scena = insert_in_list(scena, tazzina2);
	scena = insert_in_list(scena, brocca);

	save_scene("lumiere.md","scene_lumiere",scena);
	return(0);
}
